GNU bug report logs - #27036
25.1; Blocking call to accept-process-output with quit inhibited!!

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Francesco Potortì <pot@HIDDEN>; Keywords: confirmed; dated Tue, 23 May 2017 12:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 29 Sep 2017 07:32:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 29 03:32:44 2017
Received: from localhost ([127.0.0.1]:37490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxpmu-0005S8-FI
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 03:32:44 -0400
Received: from mx-all.isti.cnr.it ([194.119.192.3]:12497
 helo=blade3.isti.cnr.it) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dxpKk-0004jm-Nm
 for 27036 <at> debbugs.gnu.org; Fri, 29 Sep 2017 03:03:39 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.7-x04 #1609)
 with ESMTPSA id <01QJOIKB9SWO95N4M2@HIDDEN> for
 27036 <at> debbugs.gnu.org; Fri, 29 Sep 2017 09:03:32 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dxpKf-0004bq-9q; Fri,
 29 Sep 2017 09:03:33 +0200
Date: Fri, 29 Sep 2017 09:03:33 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <93732aeb-867f-923e-3968-5bf4cc006ff5@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Message-id: <E1dxpKf-0004bq-9q@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dEF7L-0007Wz-P3@HIDDEN>
 <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
 <E1dFbqt-0002z2-Vx@HIDDEN>
 <36a49957-cade-c3b2-b6e1-f359aef9af5f@HIDDEN>
 <93732aeb-867f-923e-3968-5bf4cc006ff5@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27036
X-Mailman-Approved-At: Fri, 29 Sep 2017 03:32:44 -0400
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sorry, I have been away for some time.  I hope to try this again soon.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 29 Sep 2017 00:10:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 28 20:10:32 2017
Received: from localhost ([127.0.0.1]:37290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxisx-0007W6-Qm
	for submit <at> debbugs.gnu.org; Thu, 28 Sep 2017 20:10:31 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:44169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dxisw-0007Vm-SZ
 for 27036 <at> debbugs.gnu.org; Thu, 28 Sep 2017 20:10:31 -0400
Received: by mail-wm0-f41.google.com with SMTP id m127so3371319wmm.1
 for <27036 <at> debbugs.gnu.org>; Thu, 28 Sep 2017 17:10:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=5Yd01xWz/JYIKB6goHZMGai5yhxGFXhc6ySqcz43XP0=;
 b=vFlE/3HGLwzw8+6f/W9U+hmp5HkvbBAe057Qdd57Rr5j+I6GOfQZ3gGUZAcmwzqo7Z
 KXB+zLXXgj+w2AU5rFjZF5nymEqrqTtdaiYsG4W9+pntHvdlS+D0Uj2gsqM6bPXAAUW2
 YilaSlQRewS492G6haKeDPeYASUEFiJgEnmzOynixyMPyajOZvOvnN3fNG/aajLTaQ9T
 MFlyWn5iahGIlyOXQcbzaAXzQ49ZquLoRh6U/ahBjoMqsJ+H716JGMFhA5tzlb8BlhE2
 ADD5ny4T5BDj9mJKcogx6Y46N6DRHYR8xFP0WppcE6H0zdV4L6rLITspkBTGC+nOShne
 SJ8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5Yd01xWz/JYIKB6goHZMGai5yhxGFXhc6ySqcz43XP0=;
 b=Vmn7zydPPzQJDeT2TXJkZhTaMSsiDkF6K4QBZ+ZyNv2u3P/y3f5sdih83t1p9UP5B+
 zhSChRooT5wF8AXQYnJ998thCEtRaPtgIV4ovW9JRCR4vPKmmvEB47uwwI3yOlciVizd
 ZjgwvJZ8Wr3Kla9XHiBjYDJk2zw63KG5BYSnQ5wQWqULMP3ATZO1/oAjUIgvy7mKTZgQ
 RkwpphC1+oJG/azu9KIL0kamwT7l8BvBeKH7xmVZ1b1XX56ic9IoWyT3VuTzgxjV4M+g
 Eb40JfUMIDaMVt9e0KAfQHC8r+PzWuz+jAy+oF7Rp0NTyOWyEAmtcN7f4bJzYAtTvHuL
 sNug==
X-Gm-Message-State: AHPjjUjkN24BKm2RpbiQ7pL84SjcTFOgzSPDGHYf2O0kpGLA7zwkpFCB
 VFCj9JoAukeADHyWuRpnbNyNgZ2H+KY=
X-Google-Smtp-Source: AOwi7QBHojGDjxiOzYrBnYixZqNfy5AH/3cx/ZXNmPQUy6z3qwN3NJ4O5bPUjdnF+JP76T5JvFgMZg==
X-Received: by 10.80.137.83 with SMTP id f19mr7608256edf.77.1506643825096;
 Thu, 28 Sep 2017 17:10:25 -0700 (PDT)
Received: from [192.168.0.97] (catv-80-98-57-21.catv.broadband.hu.
 [80.98.57.21])
 by smtp.googlemail.com with ESMTPSA id w51sm2695505edd.60.2017.09.28.17.10.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 28 Sep 2017 17:10:23 -0700 (PDT)
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
From: Dmitry Gutov <dgutov@HIDDEN>
To: =?UTF-8?Q?Francesco_Potort=c3=ac?= <pot@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dEF7L-0007Wz-P3@HIDDEN>
 <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
 <E1dFbqt-0002z2-Vx@HIDDEN>
 <36a49957-cade-c3b2-b6e1-f359aef9af5f@HIDDEN>
Message-ID: <93732aeb-867f-923e-3968-5bf4cc006ff5@HIDDEN>
Date: Fri, 29 Sep 2017 00:06:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101
 Thunderbird/56.0
MIME-Version: 1.0
In-Reply-To: <36a49957-cade-c3b2-b6e1-f359aef9af5f@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  If there's anybody else seeing this problem, could they please
    try out the patch and continue this discussion? The change makes sense to
    me, but I'd rather not push it without a user's confirmation. On 5/31/17
   1:39 AM, Dmitry Gutov wrote: > On 5/30/17 10:46 AM, Francesco Potortì wrote:
    > >> It does not seem to work, sorry.¬ I launch a long-running command in
    the >> inferior octave buffer, then in another window I go and edit the octave
    >> source.¬ After a while everything is frozen. > > Did you start with 'emacs
    -Q'? Or do you have e.g. company-mode enabled? > >> I did not restart emacs
    for testing, I just evaluated the patched >> octave.el.¬ Is that alright?
    > > Probably. > >> Does it makes sense at all to use the same process for
    interaction and >> for asking help?¬ Wouldn't it be simpler and more robust
    if a dedicated >> octave process was started for eldoc? > > No simpler, no.
    It's certainly easier to leave starting the process up > to the user. Especially
    when projects and user code are involved. [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (raaahh[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [74.125.82.41 listed in list.dnswl.org]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [74.125.82.41 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.41 listed in wl.mailspike.net]
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  If there's anybody else seeing this problem, could they please
    try out the patch and continue this discussion? The change makes sense to
    me, but I'd rather not push it without a user's confirmation. On 5/31/17
   1:39 AM, Dmitry Gutov wrote: > On 5/30/17 10:46 AM, Francesco Potortì wrote:
    > >> It does not seem to work, sorry.¬ I launch a long-running command in
    the >> inferior octave buffer, then in another window I go and edit the octave
    >> source.¬ After a while everything is frozen. > > Did you start with 'emacs
    -Q'? Or do you have e.g. company-mode enabled? > >> I did not restart emacs
    for testing, I just evaluated the patched >> octave.el.¬ Is that alright?
    > > Probably. > >> Does it makes sense at all to use the same process for
    interaction and >> for asking help?¬ Wouldn't it be simpler and more robust
    if a dedicated >> octave process was started for eldoc? > > No simpler, no.
    It's certainly easier to leave starting the process up > to the user. Especially
    when projects and user code are involved. [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [74.125.82.41 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.41 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [74.125.82.41 listed in list.dnswl.org]
  1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (dgutov[at]yandex.ru)
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

If there's anybody else seeing this problem, could they please try out 
the patch and continue this discussion?

The change makes sense to me, but I'd rather not push it without a 
user's confirmation.

On 5/31/17 1:39 AM, Dmitry Gutov wrote:
> On 5/30/17 10:46 AM, Francesco Potortì wrote:
> 
>> It does not seem to work, sorry.  I launch a long-running command in the
>> inferior octave buffer, then in another window I go and edit the octave
>> source.  After a while everything is frozen. 
> 
> Did you start with 'emacs -Q'? Or do you have e.g. company-mode enabled?
> 
>> I did not restart emacs for testing, I just evaluated the patched
>> octave.el.  Is that alright?
> 
> Probably.
> 
>> Does it makes sense at all to use the same process for interaction and
>> for asking help?  Wouldn't it be simpler and more robust if a dedicated
>> octave process was started for eldoc?
> 
> No simpler, no. It's certainly easier to leave starting the process up 
> to the user. Especially when projects and user code are involved.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 30 May 2017 22:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 30 18:39:11 2017
Received: from localhost ([127.0.0.1]:45911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dFpnD-0002xI-9P
	for submit <at> debbugs.gnu.org; Tue, 30 May 2017 18:39:11 -0400
Received: from mail-wr0-f176.google.com ([209.85.128.176]:35765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dFpnB-0002x6-S5
 for 27036 <at> debbugs.gnu.org; Tue, 30 May 2017 18:39:10 -0400
Received: by mail-wr0-f176.google.com with SMTP id q97so13683752wrb.2
 for <27036 <at> debbugs.gnu.org>; Tue, 30 May 2017 15:39:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=VpfqHaVlBnvIJW+wuCgsBhgTCuXWyBGz+3vVYrio8NY=;
 b=bdsEB6EwZRIMYivTsCqafjgMk1a49UvVktAGmm2BUCTCrE9M8OZY6CgosCXzvRIODa
 rjXH5+VSYlxZ2xQDFrwZnbCSe97MYPc/HeNSloBZPdTbwrwQQ7W2qMXPt64/MYHLtnRy
 1eilA2p9PvsQ8Pkq5/9zTeAcyGwhHXzZTwFHCQrakXVoFM41zytrbs0Y009gRKZOrqZG
 IWcesAk5ww4P+CRiNj35QRf2UOqsmnWyY7vESftz+yCxR99g2D8ww03rEvYhaojN2EaA
 9Ha2eRZm0Q6ydBrgtIIkxaPZglK6ZZMIoO5xjVW9H+dOGX6jMDVkOHg1Y/OMh3+H0rzG
 HMJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=VpfqHaVlBnvIJW+wuCgsBhgTCuXWyBGz+3vVYrio8NY=;
 b=d7ad/3JydiMhsXvy9QnBbEOdBAv9M9355BigvVZBI2GknYJ6V5yT0XFqKvxqm9lFa0
 VIzOMnXTbgruqsr9gwv3u93XaOe6CpYSVcPUPyRxSFa1Q/+GaKiKeYdN8TmxLdEEcu3e
 thxqNgIneGD2tv0GfSIVaNXwoVHISlPeHHu9uQJZ4MbhAaFv4FNfmSqSYaFuqTuwgYEq
 TH2gLt0bASJw2Md+clAoPsGUbf9LD4j8eRpY9YzY33TDYub1NkdmoKQy7a6nn/l8NNoz
 lHmt/FvNRz3uWTmba3SCuQAcLl5f+IJBNEjx2va2uvsEMcJc/YDpsuovF/WCvkwgA7Kz
 ko7Q==
X-Gm-Message-State: AODbwcCftKJZl8v7/ce4nZmez7lK+0EXhgcdwHrXeWhs3LtOonKI7O7E
 SFyVzkrxsKcNAtXUeD8=
X-Received: by 10.223.131.34 with SMTP id 31mr18976215wrd.95.1496183943993;
 Tue, 30 May 2017 15:39:03 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id 64sm18054376wmn.20.2017.05.30.15.39.02
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 30 May 2017 15:39:03 -0700 (PDT)
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
To: =?UTF-8?Q?Francesco_Potort=c3=ac?= <pot@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dEF7L-0007Wz-P3@HIDDEN>
 <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
 <E1dFbqt-0002z2-Vx@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <36a49957-cade-c3b2-b6e1-f359aef9af5f@HIDDEN>
Date: Wed, 31 May 2017 01:39:02 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <E1dFbqt-0002z2-Vx@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 5/30/17 10:46 AM, Francesco Potortì wrote:

> It does not seem to work, sorry.  I launch a long-running command in the
> inferior octave buffer, then in another window I go and edit the octave
> source.  After a while everything is frozen. 

Did you start with 'emacs -Q'? Or do you have e.g. company-mode enabled?

> I did not restart emacs for testing, I just evaluated the patched
> octave.el.  Is that alright?

Probably.

> Does it makes sense at all to use the same process for interaction and
> for asking help?  Wouldn't it be simpler and more robust if a dedicated
> octave process was started for eldoc?

No simpler, no. It's certainly easier to leave starting the process up 
to the user. Especially when projects and user code are involved.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 30 May 2017 07:46:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 30 03:46:10 2017
Received: from localhost ([127.0.0.1]:44093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dFbr0-00013e-9R
	for submit <at> debbugs.gnu.org; Tue, 30 May 2017 03:46:10 -0400
Received: from mx-all.isti.cnr.it ([194.119.192.3]:26327
 helo=blade3.isti.cnr.it) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dFbqy-00013V-Eh
 for 27036 <at> debbugs.gnu.org; Tue, 30 May 2017 03:46:08 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QEY4G1YUV6CZEZJM@HIDDEN> for
 27036 <at> debbugs.gnu.org; Tue, 30 May 2017 09:44:34 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dFbqt-0002z2-Vx; Tue,
 30 May 2017 09:46:04 +0200
Date: Tue, 30 May 2017 09:46:03 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Message-id: <E1dFbqt-0002z2-Vx@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dEF7L-0007Wz-P3@HIDDEN>
 <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

>On 5/26/17 4:17 PM, Francesco Potortì wrote:
>> if Octave is running a long command it
>> locks Emacs until the long command execution finishes and the prompt is
>> returned.
>
>Yes, this problem should be common for all modes that use the REPL for 
>fetching information like this. E.g. python-eldoc-function.
>
>Normally, we don't see long-running commands in the user REPL. Or don't 
>expect the user to switch back to the source buffer and continue 
>editing. Octave might be a significant exception in that regard.
>
>Anyway, please try the attached combined patch and see if it fixes your 
>problem.

It does not seem to work, sorry.  I launch a long-running command in the
inferior octave buffer, then in another window I go and edit the octave
source.  After a while everything is frozen.  The long-running command
is stopped midway and a syntax error is signaled which involves the
function point was on in the source.

I did not restart emacs for testing, I just evaluated the patched
octave.el.  Is that alright?

Does it makes sense at all to use the same process for interaction and
for asking help?  Wouldn't it be simpler and more robust if a dedicated
octave process was started for eldoc?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 27 May 2017 00:22:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 26 20:22:29 2017
Received: from localhost ([127.0.0.1]:39741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dEPUz-0006Xo-8K
	for submit <at> debbugs.gnu.org; Fri, 26 May 2017 20:22:29 -0400
Received: from mail-wr0-f177.google.com ([209.85.128.177]:34104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dEPUy-0006Xa-GD
 for 27036 <at> debbugs.gnu.org; Fri, 26 May 2017 20:22:28 -0400
Received: by mail-wr0-f177.google.com with SMTP id j27so9330020wre.1
 for <27036 <at> debbugs.gnu.org>; Fri, 26 May 2017 17:22:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=wC7KhfEQs9BEhudLdHIxr5MD1sCjzAQ80X+OgINuvPE=;
 b=q5j9NINqcANd8XLQrcVDWX4kClSFenRYi4RusSrjExugk0uCdHNi6gxHXaZx9d2Syu
 h/6oYszzsivlYfGU90oiOPQoXntl6V1UjeBFXfcw7UN9nFU+XPsbH5j7z100EkFQw9w0
 lMnKGEsNABcoJX1GnP2M6Yktu2melJuIntoLH5N03TmEbs29Y5ufxgnxAAlWP4aivm5l
 ao6WQisYmixDsqeEtlcXhFIZ9sBCjhwMpMk645U1Jr/vw9f0SvTWXdQMqKac8BFx/RVw
 4jyQOPwWHkTnTyE87h5Yc9JW6D7MCEQxK4rsu5plh1jyfTeYIQFOQTMX4sS+Lo8YJcpP
 wApg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language;
 bh=wC7KhfEQs9BEhudLdHIxr5MD1sCjzAQ80X+OgINuvPE=;
 b=gn3oegwDpY4hKMdlhA1k2WGWZXWSje7AuzVox7u1EsIV+JqpdoLUWb6cGfH9uY2SBN
 tpBZvLcoF+Yc34l6oHmC0dXyXTcG6pxyeaIVy1CVOGf/aipenyXn2pGWG/yWHQNcDtY4
 R14yLWNGaU65wX9Fyp7azgZlm5A7sT0AJKHiwcNtLicIySlFh9rxN9OLYs4sBTQrAorc
 niTzvoViC5031cxNQnmMN1Jzadbw62HUbbDzHTi98w1nbYbA8SOPQGp2eKTtrfQ0l/Ya
 pGE99OVF7gvjr0IFJim8Ve7Qcnxs8ZFkont1f3BWSaH2JIpylZ70y+9jI+DB5ZrcusOe
 lI+g==
X-Gm-Message-State: AODbwcAzj7kXOJuJLSPLXB7tRHpSrXek2giWrVetUR9a+1hyqwiOHqx6
 T+S2yI7p3Wrbm9w1j/w=
X-Received: by 10.223.178.85 with SMTP id y21mr3241964wra.58.1495844542551;
 Fri, 26 May 2017 17:22:22 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id m17sm3750431wmi.6.2017.05.26.17.22.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 26 May 2017 17:22:21 -0700 (PDT)
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
To: =?UTF-8?Q?Francesco_Potort=c3=ac?= <pot@HIDDEN>, 27036 <at> debbugs.gnu.org
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dEF7L-0007Wz-P3@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d529a831-e8eb-8383-6d89-b227dab6a009@HIDDEN>
Date: Sat, 27 May 2017 03:22:19 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <E1dEF7L-0007Wz-P3@HIDDEN>
Content-Type: multipart/mixed; boundary="------------11B0BE0D224FA836E16EFD42"
Content-Language: en-US
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

This is a multi-part message in MIME format.
--------------11B0BE0D224FA836E16EFD42
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

On 5/26/17 4:17 PM, Francesco Potortì wrote:

> if Octave is running a long command it
> locks Emacs until the long command execution finishes and the prompt is
> returned.

Yes, this problem should be common for all modes that use the REPL for 
fetching information like this. E.g. python-eldoc-function.

Normally, we don't see long-running commands in the user REPL. Or don't 
expect the user to switch back to the source buffer and continue 
editing. Octave might be a significant exception in that regard.

Anyway, please try the attached combined patch and see if it fixes your 
problem.

> It also makes damage in some other cases that I cannot identify.

If you have company-mode installed and enabled, similar problem can 
occur (when completion is triggered automatically).

--------------11B0BE0D224FA836E16EFD42
Content-Type: text/x-patch;
 name="octave-eldoc.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="octave-eldoc.diff"

diff --git a/lisp/progmodes/octave.el b/lisp/progmodes/octave.el
index ac9ba63..d0a92d8 100644
--- a/lisp/progmodes/octave.el
+++ b/lisp/progmodes/octave.el
@@ -938,12 +938,19 @@ inferior-octave-send-list-and-digest
 	(while (setq string (car list))
 	  (setq inferior-octave-output-string nil
 		inferior-octave-receive-in-progress t)
-	  (comint-send-string proc string)
-	  (while inferior-octave-receive-in-progress
-	    (accept-process-output proc))
+	  (process-send-string proc string)
+	  (while
+              (and inferior-octave-receive-in-progress
+                   (with-local-quit
+                     (accept-process-output proc))))
 	  (setq list (cdr list)))
       (set-process-filter proc filter))))
 
+(defun inferior-octave--busy-p ()
+  (not
+   (buffer-local-value 'comint-last-prompt
+                       (process-buffer inferior-octave-process))))
+
 (defvar inferior-octave-directory-tracker-resync nil)
 (make-variable-buffer-local 'inferior-octave-directory-tracker-resync)
 
@@ -1586,19 +1593,21 @@ octave-eldoc-message-style
 (defvar octave-eldoc-cache nil)
 
 (defun octave-eldoc-function-signatures (fn)
-  (unless (equal fn (car octave-eldoc-cache))
-    (inferior-octave-send-list-and-digest
-     (list (format "print_usage ('%s');\n" fn)))
-    (let (result)
-      (dolist (line inferior-octave-output-list)
-        (when (string-match
-               "\\s-*\\(?:--[^:]+\\|usage\\):\\s-*\\(.*\\)$"
-               line)
-          (push (match-string 1 line) result)))
-      (setq octave-eldoc-cache
-            (cons (substring-no-properties fn)
-                  (nreverse result)))))
-  (cdr octave-eldoc-cache))
+  (if (equal fn (car octave-eldoc-cache))
+      (cdr octave-eldoc-cache)
+    (unless (inferior-octave--busy-p)
+      (inferior-octave-send-list-and-digest
+       (list (format "print_usage ('%s');\n" fn)))
+      (let (result)
+        (dolist (line inferior-octave-output-list)
+          (when (string-match
+                 "\\s-*\\(?:--[^:]+\\|usage\\):\\s-*\\(.*\\)$"
+                 line)
+            (push (match-string 1 line) result)))
+        (setq octave-eldoc-cache
+              (cons (substring-no-properties fn)
+                    (nreverse result))))
+      (cdr octave-eldoc-cache))))
 
 (defun octave-eldoc-function ()
   "A function for `eldoc-documentation-function' (which see)."

--------------11B0BE0D224FA836E16EFD42--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 26 May 2017 13:17:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 26 09:17:29 2017
Received: from localhost ([127.0.0.1]:38768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dEF7R-00040V-7F
	for submit <at> debbugs.gnu.org; Fri, 26 May 2017 09:17:29 -0400
Received: from mx-all.isti.cnr.it ([194.119.192.3]:12045
 helo=blade3.isti.cnr.it) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dEF7P-00040M-CN
 for 27036 <at> debbugs.gnu.org; Fri, 26 May 2017 09:17:28 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QESUULAMFWCZAUND@HIDDEN> for
 27036 <at> debbugs.gnu.org; Fri, 26 May 2017 15:16:00 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dEF7L-0007Wz-P3	for 27036 <at> debbugs.gnu.org;
 Fri, 26 May 2017 15:17:23 +0200
Date: Fri, 26 May 2017 15:17:23 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
To: 27036 <at> debbugs.gnu.org
Message-id: <E1dEF7L-0007Wz-P3@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I disabled the hints with
 M-x global-eldoc-mode

Now Emacs is more responsive when I edit an Octave source file and use
the inferior Octave buffer.

I suspect that, when moving point in the source code and even in the
running Octave window, as soon as eldoc mode sees a function near point
it secretely sends a help command to the inferior Octave: the same
inferior Octave which I am using.

This works mot of the time, but if Octave is running a long command it
locks Emacs until the long command execution finishes and the prompt is
returned.

It also makes damage in some other cases that I cannot identify.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 26 May 2017 06:07:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 26 02:07:37 2017
Received: from localhost ([127.0.0.1]:38484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dE8PR-0000hq-El
	for submit <at> debbugs.gnu.org; Fri, 26 May 2017 02:07:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dE8PP-0000ha-Ec
 for 27036 <at> debbugs.gnu.org; Fri, 26 May 2017 02:07:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dE8PH-0006Dd-9n
 for 27036 <at> debbugs.gnu.org; Fri, 26 May 2017 02:07:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55064)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dE8PH-0006DX-6p; Fri, 26 May 2017 02:07:27 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3481
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dE8PG-00047f-D7; Fri, 26 May 2017 02:07:26 -0400
Date: Fri, 26 May 2017 09:07:24 +0300
Message-Id: <83zie0jgmb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <2b4cd4a4-3ca4-b877-a059-7edbc70e2130@HIDDEN> (message from
 Dmitry Gutov on Fri, 26 May 2017 04:02:34 +0300)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
 <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN> <83zie2krcg.fsf@HIDDEN>
 <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
 <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
 <83d1awlxq8.fsf@HIDDEN> <2b4cd4a4-3ca4-b877-a059-7edbc70e2130@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: 27036 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 26 May 2017 04:02:34 +0300
> 
> As a first approximation, this seems to fix the bug:

Thanks.  If no one objects in a few days, please push.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 26 May 2017 01:02:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 21:02:45 2017
Received: from localhost ([127.0.0.1]:38387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dE3eO-0000vQ-Id
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 21:02:44 -0400
Received: from mail-wm0-f49.google.com ([74.125.82.49]:37531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dE3eM-0000vD-Vb
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 21:02:43 -0400
Received: by mail-wm0-f49.google.com with SMTP id d127so2691163wmf.0
 for <27036 <at> debbugs.gnu.org>; Thu, 25 May 2017 18:02:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=MiOBy+uo3LAsg86oUzHXW/vt6Gk2PWeTD2Ysf6jZjyU=;
 b=BW0NRilGEm+eurFtNJjz+CaOZqDYbn27HYxqo5zyVL35ZNsf9TvYDkcGmGsZZN5n1X
 /zAvHa+ETSsLEC8KbObdewCSwfcU5fmPc5Z0WUCfxqUTf9GwXAWRjoDTbbEbiQkKJqCD
 d/HmzsgeTM3V59lJsSDbHdWboAH9Kok5AB4syzGp2Shpn6jI8uj0ExD7oP+2lcQIooDF
 kCjTLCUGGrYQ+YmCAsYK7rSwTgdUNbuF2N43nkERHex5J+rPKX2MXwP33HcUR9VGrYOz
 euAvpKjzUopwyUDXiYzZrHhgngrM5P9Ry6YFvYVkoObkjsXSdz8aQnd15lJ8RoBL5qfU
 kO+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=MiOBy+uo3LAsg86oUzHXW/vt6Gk2PWeTD2Ysf6jZjyU=;
 b=oBBv0i7rjJc8tasVpdieUD+kgOSO8RI+7ueXFAELlKyh4U9IlD6qrHiMutKCu2+rsG
 kemSmB2aCN1E4Gcfw7ONLMFj8Nwkq2FSgKIWwLqdn7CVPK1EmM0dlOwjEGrOrjrNcdzA
 UnynNx3RJCD0aRpXTwgvRliinRGk8DVBAofTg8PCrZOuOwuihZ1VCsNTsSAnGZqbChpW
 BbYAot71PJjdscvMS9yriS4qlAcvdCK33n9B2JCGR/4gcdtE6RDnTl87tSYaCM6+jhKj
 CVmPcJItq2DSL9IZg7Wd/y0D+YTSrcigy264yTWGhdnel+tg3sdgd2qYFfBSNQHAuHFM
 Iysw==
X-Gm-Message-State: AODbwcDZsHkA0awAC6eCwsdiiZ0eoihAIYV+X4xpOhBnYlXxVsN4zREj
 ySxqv/0n+U1kgQ==
X-Received: by 10.223.149.33 with SMTP id 30mr25123912wrs.61.1495760557312;
 Thu, 25 May 2017 18:02:37 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id b43sm2762237wra.6.2017.05.25.18.02.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 25 May 2017 18:02:35 -0700 (PDT)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
To: Eli Zaretskii <eliz@HIDDEN>,
 Noam Postavsky <npostavs@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
 <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN> <83zie2krcg.fsf@HIDDEN>
 <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
 <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
 <83d1awlxq8.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2b4cd4a4-3ca4-b877-a059-7edbc70e2130@HIDDEN>
Date: Fri, 26 May 2017 04:02:34 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <83d1awlxq8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 5/25/17 7:14 PM, Eli Zaretskii wrote:

> So I guess octave-eldoc-function-signatures should temporarily reset
> inhibit-quit?

Yes. Or more concretely, use with-local-quit like 
url-retrieve-synchronously does.

In the context of comint, though, we might consider what to do if Octave 
actually takes too long to produce the result, the user presses C-g, and 
we need to abort. Do we restore the normal process filter, and refuse to 
be bothered even though Octave will continue producing output (now 
visible to the user if they switch to the REPL buffer)?

As a first approximation, this seems to fix the bug:

diff --git a/lisp/progmodes/octave.el b/lisp/progmodes/octave.el
index ac9ba63..ce3c27a 100644
--- a/lisp/progmodes/octave.el
+++ b/lisp/progmodes/octave.el
@@ -939,8 +939,10 @@ inferior-octave-send-list-and-digest
  	  (setq inferior-octave-output-string nil
  		inferior-octave-receive-in-progress t)
  	  (comint-send-string proc string)
-	  (while inferior-octave-receive-in-progress
-	    (accept-process-output proc))
+	  (while
+              (and inferior-octave-receive-in-progress
+                   (with-local-quit
+                     (accept-process-output proc))))
  	  (setq list (cdr list)))
        (set-process-filter proc filter))))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 26 May 2017 00:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 20:41:45 2017
Received: from localhost ([127.0.0.1]:38380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dE3K4-0000PI-Ny
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 20:41:44 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:37409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dE3K3-0000P5-CW
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 20:41:43 -0400
Received: by mail-wm0-f52.google.com with SMTP id d127so2316491wmf.0
 for <27036 <at> debbugs.gnu.org>; Thu, 25 May 2017 17:41:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9xZCxMpKHbiwCfGXpCGiZPdQ4SIFE0qOg2Wd1n6i1l0=;
 b=hPogeKdghR4eF2EAOuy8rYWhomSkJOWYk9osTTFi5856/cJIbjp7l+wrRPXIFhMjsV
 w6Qn6ofplv5+VRl40B0gwLuYAkExJc5AYKzt9gtesGPdsxV2cuK4bP31DWjs72MnST8z
 hkNjIoi79gHoDEZW5J0b9wgbhQtvMybm2BDet55ppDgLFQuC+vBI26GjspLErpYgFEZk
 vP7TBsOmgAjBHN3kXLr8s2he7l8xsn/nZ3UHNPP0HvsxfqlenJWa/r14et13XhjLTjVi
 y2OHbH8TSE+YYo6VZKgO6gvXAwHHNK96lZlE0zIj8WrsxnICtiowcP9a7f/gaj1dAubF
 rYbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9xZCxMpKHbiwCfGXpCGiZPdQ4SIFE0qOg2Wd1n6i1l0=;
 b=oBOhzL1ht2xSJN1M6CCxVPI3tCGJMx2XRO+WvwXZljjcmwiro1T6ALqTuB3ziyL1iZ
 z7rph98HOZOE7Rh0ZOjw53ofPH4eQ+LnYpjnMlMXWEF0GuMIuKJyWmGckc+t1KYx2dGE
 af3QceY/e02q308G+DEaSigE4j/bTlFGyMaQqW7RFSjvTnNFdwOJt0Wa6ZxUegFIBAMy
 yBpHFFJVgS1ug5/rU5gzgGJBlGNJjRTpcGYOkEtpCXt+eLKJ/nLV1DCZPJ8gRZ6khSOg
 wnuPzHuYJAdtSsdLD/u30vXs0xbUoWz6as0RI3B4u+ravMZvI+bSBek8Vdmcc/LEenBe
 UT0A==
X-Gm-Message-State: AODbwcBd87JKZPeUhTKedoCTpMA3cLZN9eViEg2emT+asO+piDM/Sc8+
 4dXKl8XSw/S64gNQSF0=
X-Received: by 10.223.172.105 with SMTP id v96mr28997544wrc.1.1495759297606;
 Thu, 25 May 2017 17:41:37 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id o17sm5799958wra.56.2017.05.25.17.41.36
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 25 May 2017 17:41:37 -0700 (PDT)
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
To: =?UTF-8?Q?Francesco_Potort=c3=ac?= <pot@HIDDEN>, 27036 <at> debbugs.gnu.org
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dDv9O-0003ng-DK@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <856c264d-8f91-be94-42ee-7892bcee716b@HIDDEN>
Date: Fri, 26 May 2017 03:41:36 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <E1dDv9O-0003ng-DK@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 5/25/17 6:58 PM, Francesco Potortì wrote:
> Some more info.  In an octave-mode buffer (when you find Octave source
> code), in the Octave menu, I find a switch for Function Syntax Hints.
> 
> However, hints are always provided, whether the switch is on or off.

This is https://debbugs.gnu.org/cgi/bugreport.cgi?bug=19853, orthogonal 
to the currently discussed problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 26 May 2017 00:38:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 20:38:20 2017
Received: from localhost ([127.0.0.1]:38376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dE3Gm-0000KK-9e
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 20:38:20 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:36197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dE3Gj-0000K4-SF
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 20:38:18 -0400
Received: by mail-wm0-f45.google.com with SMTP id 7so110476851wmo.1
 for <27036 <at> debbugs.gnu.org>; Thu, 25 May 2017 17:38:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=kaTE3OQS771otiS6hX3qvC4yPZGf84wz+WQJDHW+Mb0=;
 b=ciL8G03lyqXrZAJdJWcP/DoSWh6QgSyzrmH2Vv3H/LB6b+WFJRda8YWDMjGiKy4QFI
 xWD8fDZWxxRSIdaEJ04nF11a9wWSOr6MBS92j1yJnLDm9zURKQSVuRmkBmpVWBDRQOR3
 622yCjfE+Xkhyyv7KBcKuuMG5RzZLpIPAn62yovzfTCIYOdyT7/Y1HAhvvpi33mTdv58
 LGA/q+n+edrkaGDP5hi6wx/cIYobu8E6XQEbJw2gejteuWEa/crE/qAhLjP/T2LZwH9o
 T+2FFvVE6KS2P20wW6yfsBiM/5HIHspFCplvQdi5gKVY+jbgxJ7H1GugtfRY4oas4F1q
 B5rQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=kaTE3OQS771otiS6hX3qvC4yPZGf84wz+WQJDHW+Mb0=;
 b=LoRFqSvPhimexkAPE86DEZ1QgCnJETN+iDtN8sGXlOO0eF6dLbVVD+RlgwwT6kGC61
 9segGYnd90HRZGBzxc6Gq4lmwtoX/pkCx3F7radV+2dc4yerXaSGIXrELXdIN5RTGqJ6
 mZ4bCn6WnSG0JsQ4Ca3WWlTp2j3THWhxUvG61l9Eb/+Z+0xlV1pPkG4QMFdg6rad7QP9
 tftMyW3QAPbCT+vpvMibBn7YYcH69Cgx6SJXdH6cqQuooJ4u3XOQ1Sy3QhPtUxzbnIIF
 7Wj4bilEFMqhk36OPSvT813noiZ/wGXSpR8y5wTxwgbUgpNyjvROzcPUAfIybqpHMEAu
 xsBw==
X-Gm-Message-State: AODbwcBvjPsrX9dWQX2vWCdbUGxgeS8Gq4L4GyYHsRJuvHER54CNZxx7
 dip8OOKa9T9p0g==
X-Received: by 10.223.150.120 with SMTP id c53mr1792659wra.15.1495759091959;
 Thu, 25 May 2017 17:38:11 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id k18sm10144474wre.9.2017.05.25.17.38.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 25 May 2017 17:38:10 -0700 (PDT)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
To: Noam Postavsky <npostavs@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
 <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN> <83zie2krcg.fsf@HIDDEN>
 <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
 <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <96510a73-d838-31ce-04fa-c9d3ca4b970e@HIDDEN>
Date: Fri, 26 May 2017 03:38:09 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 5/25/17 3:51 PM, Noam Postavsky wrote:

> Looks like it's in timer-event-handler:
> 
> (defun timer-event-handler (timer)
>    ...
>    (let ((inhibit-quit t))

Oh. Thanks! Somehow I skipped over this also being implemented in Lisp.

So apparently timer functions are not allowed to signal quit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 25 May 2017 16:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 12:15:11 2017
Received: from localhost ([127.0.0.1]:37865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDvPq-0003Xl-R7
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 12:15:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dDvPp-0003XV-7Z
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 12:15:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dDvPg-0004PS-NJ
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 12:15:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45422)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dDvPg-0004PO-LH; Thu, 25 May 2017 12:15:00 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2651
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dDvPf-0005OO-S0; Thu, 25 May 2017 12:15:00 -0400
Date: Thu, 25 May 2017 19:14:55 +0300
Message-Id: <83d1awlxq8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
 (message from Noam Postavsky on Thu, 25 May 2017 08:51:56 -0400)
Subject: Re: bug#27036: 25.1;
 Blocking call to accept-process-output with quit inhibited!!
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN>
 <83bmqim8wl.fsf@HIDDEN> <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN>
 <83zie2krcg.fsf@HIDDEN> <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
 <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Thu, 25 May 2017 08:51:56 -0400
> Cc: Eli Zaretskii <eliz@HIDDEN>, 27036 <at> debbugs.gnu.org
> 
> > eldoc-print-current-symbol-info uses with-demoted-errors, which expands into
> > a condition-case, but does that inhibit quitting somehow?
> 
> Looks like it's in timer-event-handler:
> 
> (defun timer-event-handler (timer)
>   ...
>   (let ((inhibit-quit t))

So I guess octave-eldoc-function-signatures should temporarily reset
inhibit-quit?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 25 May 2017 15:58:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 11:58:15 2017
Received: from localhost ([127.0.0.1]:37838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDv9S-00036d-TA
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 11:58:15 -0400
Received: from mx1.isti.cnr.it ([194.119.192.3]:38270 helo=blade3.isti.cnr.it)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dDv9R-00036V-Fn
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 11:58:13 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QERM6K4SU6CZ9AZP@HIDDEN> for
 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 17:56:46 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dDv9O-0003ng-DK	for 27036 <at> debbugs.gnu.org;
 Thu, 25 May 2017 17:58:10 +0200
Date: Thu, 25 May 2017 17:58:10 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
To: 27036 <at> debbugs.gnu.org
Message-id: <E1dDv9O-0003ng-DK@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Some more info.  In an octave-mode buffer (when you find Octave source
code), in the Octave menu, I find a switch for Function Syntax Hints.

However, hints are always provided, whether the switch is on or off.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 25 May 2017 12:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 08:52:05 2017
Received: from localhost ([127.0.0.1]:37070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDsFJ-0005Ic-DP
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 08:52:05 -0400
Received: from mail-oi0-f51.google.com ([209.85.218.51]:33827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dDsFH-0005Hx-4x
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 08:52:03 -0400
Received: by mail-oi0-f51.google.com with SMTP id b204so278537982oii.1
 for <27036 <at> debbugs.gnu.org>; Thu, 25 May 2017 05:52:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=gaS7WZeP+qWyY5M+PyDKmYZ4SvUYbxdZo8v2N1pl/CI=;
 b=pJqSVJMwolMG9FeyTNwVOIH0rf4222zrsIWFs1hTxvf17t/Zyem2NLpaOCb7378tw8
 V4vqBe3zPQcwbX5NRBSC3P2UgzjsinJqnNlK0tjzCFLCSVfkU15odIhUT6ZTQKoXLib5
 J9p2wDh/uoejKjKo3RZ3FAuYmXNzUZVlQsP1CplOyBZo0eQCyIhkrJhzNalHdnywwi3Q
 RRttjYpqHJoqqqwc7PuDiPHOaS9V56yAhrxEl92ATU/gvyYfFbwTRYtEnhVKa5LqHsBv
 n+47FdYGt6SgBqw5F4Eu7It90koTrMz2TgERvE2RzOhMFV9tNJORDMhnwOIMfBx/0Qyb
 1hqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=gaS7WZeP+qWyY5M+PyDKmYZ4SvUYbxdZo8v2N1pl/CI=;
 b=UsepQ5+BxphbxmVx5YVPp/h59hg2me/oUcJonqMN62H5r5VdvqxNIuETGLC1DCvBUW
 QfTRKLg2N5xAApYmbShXAsqq9fnQAK9h+AcGteNbVsMfk+4HmGyDQ50HBcvumEMXs97F
 tfy/mdh3lzUzpAYrKeNQHokwtv2nNHzgK83Z4L4bjLZEeXiwXk7LYiAtyS++/buP3bEL
 128u6/P8BYetmyP/Gahhit8zl4m77uiKiFIFVeiREjNc8DZ01gO910RRWfi1Ke/f8cju
 ePKjKMHZGK0x8SS+gwhvHKwUVqnNuNcU+/B1pDO9zMEIQO9RcpCWCZ19S8qrN7ZVjyzE
 qC3A==
X-Gm-Message-State: AODbwcAhhjjep+U3uFusuxFurFqxT47mlZzIVF3sOeQso6I7/ElzhjC7
 FW8EhCVZsyR3UD9mCdRozRAhP8fluw==
X-Received: by 10.157.30.163 with SMTP id n32mr8069164otn.192.1495716717515;
 Thu, 25 May 2017 05:51:57 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.74.139.83 with HTTP; Thu, 25 May 2017 05:51:56 -0700 (PDT)
In-Reply-To: <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN>
 <83bmqim8wl.fsf@HIDDEN> <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN>
 <83zie2krcg.fsf@HIDDEN> <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Thu, 25 May 2017 08:51:56 -0400
X-Google-Sender-Auth: tz-O0sfSIPQvCr58ivJgD6V7wAk
Message-ID: <CAM-tV-9r0a1r6DBgjkHszbO29-ZQDCzM1aVyBHTLwBeoAtKZ+A@HIDDEN>
Subject: Re: bug#27036: 25.1;
 Blocking call to accept-process-output with quit inhibited!!
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 27036
Cc: Eli Zaretskii <eliz@HIDDEN>, 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Thu, May 25, 2017 at 8:43 AM, Dmitry Gutov <dgutov@HIDDEN> wrote:

> (gdb) xbacktrace
> "accept-process-output" (0xffffb980)
> "inferior-octave-send-list-and-digest" (0xffffbc78)
> "octave-eldoc-function-signatures" (0xffffbf68)
> "octave-eldoc-function" (0xffffc410)
> "apply" (0xffffc408)
> 0x13fef90 PVEC_COMPILED
> "eldoc-print-current-symbol-info" (0xffffc950)
> 0xa3dc38 PVEC_COMPILED
> "apply" (0xffffcd58)
> "timer-event-handler" (0xffffd0a8)
>
> Any ideas?
>
> eldoc-print-current-symbol-info uses with-demoted-errors, which expands into
> a condition-case, but does that inhibit quitting somehow?

Looks like it's in timer-event-handler:

(defun timer-event-handler (timer)
  ...
  (let ((inhibit-quit t))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 25 May 2017 12:43:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 25 08:43:24 2017
Received: from localhost ([127.0.0.1]:37055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDs6u-000550-9l
	for submit <at> debbugs.gnu.org; Thu, 25 May 2017 08:43:24 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:36527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dDs6s-00054o-Uk
 for 27036 <at> debbugs.gnu.org; Thu, 25 May 2017 08:43:23 -0400
Received: by mail-wm0-f43.google.com with SMTP id 7so90141815wmo.1
 for <27036 <at> debbugs.gnu.org>; Thu, 25 May 2017 05:43:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=e4WOfo/Dgd5mTfydotx2nRW6Aoxql3i0rMOAFhmTq14=;
 b=hi7ffVjY/1do1xAbw3cNT1PlbFirpwrgo4HF1GpA/p1tiJeu++Qixsp9b2ri+/ksQ4
 rkiG2qPjElPOjDTtWbLH2kCPPETSGH2xHbisY6VmhTCrt1/APGRi/TbcvmvnM7e6ViDe
 DfVr8mjnIOoJAcp6KGlP4V+AMFTueuOndmTrYeRXXL1TVuDjNscw1yBQho+LLJo745AN
 TpMLBD6Hci6vfiC1wTOAcptDIskJ5c+lMw6Ens8sxgVc+xYhD5ATuFLWL0SrWxf1JZgU
 GtQavcnfkQJX6yh3a9mZqvnClw47QhTxUnu1eUjMIYTg7WXSqV1p/jPQ64BLka192bdM
 YJ9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=e4WOfo/Dgd5mTfydotx2nRW6Aoxql3i0rMOAFhmTq14=;
 b=eOjKwj5PmZ2dz14ARKM6jTfqWu+HstQhzu3V/VXrDTM1cjqCXrXEdg/AEmC31RwDbD
 hT2OtPeQcSBerTiq9yrCknh6uONtxuxkywvV7xAdbY7IhjiTkzEFNXKnAVhGu1fZIgca
 1oxqQ8z6EgD8IoDyY4EcEm3IzUaXJ5O3zSyaJ8eBIXcOgx16jai7msPNSvmeiaXfHSmV
 /MMjJcGvpqOFj5hNpqSYhkWxK/rsYxWOgxdNowk6oVVk+oXf+1rps0TJ0CNeSeBTYpu2
 ga7MX40QaOTBvtX7YGNrlXgpfU6dWKUXWUyOPbKSQzthFt+UErLIu4Sh2NFbStCYBrSf
 H+tA==
X-Gm-Message-State: AODbwcBczYLF5FF5BOcfz+E7iCAmUvMxD02WXioy1LdScwPN93ErM4kK
 dcycxY6JqWQbf3F06s0=
X-Received: by 10.28.217.1 with SMTP id q1mr9763440wmg.23.1495716196859;
 Thu, 25 May 2017 05:43:16 -0700 (PDT)
Received: from [192.168.0.133] ([212.50.99.193])
 by smtp.googlemail.com with ESMTPSA id v7sm10299616wrb.68.2017.05.25.05.43.15
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 25 May 2017 05:43:15 -0700 (PDT)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
To: Eli Zaretskii <eliz@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
 <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN> <83zie2krcg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a200fbb7-7b57-d849-78b1-a3dc952d5b75@HIDDEN>
Date: Thu, 25 May 2017 15:43:14 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <83zie2krcg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On 5/24/17 10:05 PM, Eli Zaretskii wrote:

> If you can reproduce this at will, run under GDB, put a breakpoint at
> the line which emits the message, and when it breaks, produce a
> backtrace.  I'd expect the offending code to be evident from that,
> especially if you also run "xbacktrace" to see the Lisp backtrace.

Here it is:

Thread 1 "emacs" hit Breakpoint 3, wait_reading_process_output 
(time_limit=0, nsecs=0, read_kbd=read_kbd@entry=0, 
do_display=do_display@entry=false, 
wait_for_cell=wait_for_cell@entry=XIL(0),
     wait_proc=wait_proc@entry=0x1399c30 <bss_sbrk_buffer+7942096>, 
just_wait_proc=0) at process.c:5015
5015	    message1 ("Blocking call to accept-process-output with quit 
inhibited!!");
(gdb) xbacktrace
"accept-process-output" (0xffffb980)
"inferior-octave-send-list-and-digest" (0xffffbc78)
"octave-eldoc-function-signatures" (0xffffbf68)
"octave-eldoc-function" (0xffffc410)
"apply" (0xffffc408)
0x13fef90 PVEC_COMPILED
"eldoc-print-current-symbol-info" (0xffffc950)
0xa3dc38 PVEC_COMPILED
"apply" (0xffffcd58)
"timer-event-handler" (0xffffd0a8)

Any ideas?

eldoc-print-current-symbol-info uses with-demoted-errors, which expands 
into a condition-case, but does that inhibit quitting somehow?

And inferior-octave-send-list-and-digest uses unwind-protect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 19:06:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 15:06:13 2017
Received: from localhost ([127.0.0.1]:36606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDbbp-0005ak-3f
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 15:06:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dDbbo-0005aU-1s
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 15:06:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dDbbh-0003S1-Vs
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 15:06:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55683)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dDbbb-0003OS-0c; Wed, 24 May 2017 15:05:59 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2106
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dDbba-0008QQ-AS; Wed, 24 May 2017 15:05:58 -0400
Date: Wed, 24 May 2017 22:05:51 +0300
Message-Id: <83zie2krcg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN> (message from
 Dmitry Gutov on Wed, 24 May 2017 21:17:15 +0300)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
 <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27036
Cc: pot@HIDDEN, 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Cc: pot@HIDDEN, 27036 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 24 May 2017 21:17:15 +0300
> 
> I don't see any freezing, though.

That's good.

> >> It's pretty weird, though. Neither octave.el not comint.el reference
> >> inhibit-quit.
> > 
> > According to description, Francesco was editing while
> > inferior-octave-mode was doing something in the background, so it's
> > possible that some foreground code just happened to bind inhibit-quit
> > at the wrong moment.
> 
> Indeed, but what foreground code? The major mode is octave-mode.

If you can reproduce this at will, run under GDB, put a breakpoint at
the line which emits the message, and when it breaks, produce a
backtrace.  I'd expect the offending code to be evident from that,
especially if you also run "xbacktrace" to see the Lisp backtrace.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 18:17:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 14:17:31 2017
Received: from localhost ([127.0.0.1]:36569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDaqh-0004RT-92
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 14:17:31 -0400
Received: from mail-wr0-f179.google.com ([209.85.128.179]:35546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dDaqd-0004RF-Gk
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 14:17:27 -0400
Received: by mail-wr0-f179.google.com with SMTP id z52so59850168wrc.2
 for <27036 <at> debbugs.gnu.org>; Wed, 24 May 2017 11:17:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=5IvP6fR9bxbLg9zURuL6FAc0j/ZgJf/+9jqgEUv9nhQ=;
 b=N6AwxWy7fQM45fIQ9lHXSHctF69RygfRM7guloKciV2E07rUWTtz8co5wIkpMAvRE7
 ESKcgbpCcWeaTcijT5+U++Z3BHn5sEMP7qYzuksoKanoF/skWMGJjMJoeooNdyrUHrV8
 w1XTortZ28tlXmlDSb5ZyA+tgulu7j4vI6nKhAxpnPKiKkACXaVYQyUQhB0FZQboSTFd
 hzyVbAKz6aX7JYvaUhmGXADUDPBy6JsP3iS9nasOZarSR3YS09AxLibUsMMyJDlleq7v
 HOon3sfTgGeSoU1Plxpp+/RiwaV2qv9DPEDQkfdNQYivqwsxX9m1YsSizaTAxYviqiB1
 uNVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5IvP6fR9bxbLg9zURuL6FAc0j/ZgJf/+9jqgEUv9nhQ=;
 b=C5i9SYFe9pUH1ZEHzvtMOgRQhNzW4vQfaIBY+A0Mq4apEnfxBIdMbaaFWCoMd/7rnG
 M4z7Ov0tnFsSlLKCrHZ+/fcDLfoX6fX/8ZYPcNZaBbXrgnvuTPbHrJPUiyzzMtgN0O7T
 QA8rpkhIZDlAOTt33xLXmL1V+//OT3mGCa1CjHBWqODizIEPA1hg+rL3uzidNK/Ebxn/
 afAzpN0qkYdiaBZdc5awfirJP9KbP5GcM54KhaYuW+ULgmD9oCaRbGDslchKGTPgLHsL
 sDIISjKmRlTma8a501FwMQ9IMQ6Y4D36AkXiAXs62nAnPP3JR57mjkKeaxS0/GRdeQ5b
 u1gA==
X-Gm-Message-State: AODbwcC5TODY0Gs5vX6l42WSSGAhlQXc4CMUruVC6PsXAvtjVEm6yjKO
 qzZcH3sQEKm8ZA==
X-Received: by 10.223.136.229 with SMTP id g34mr6123618wrg.42.1495649841624;
 Wed, 24 May 2017 11:17:21 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.174.193])
 by smtp.googlemail.com with ESMTPSA id q195sm1174945wmd.7.2017.05.24.11.17.17
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 May 2017 11:17:18 -0700 (PDT)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
To: Eli Zaretskii <eliz@HIDDEN>
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> <83bmqim8wl.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <c5ea7ef9-a62e-93d7-c5a9-94d9a12419f2@HIDDEN>
Date: Wed, 24 May 2017 21:17:15 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <83bmqim8wl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 27036
Cc: pot@HIDDEN, 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On 5/24/17 9:01 PM, Eli Zaretskii wrote:

>>>     Blocking call to accept-process-output with quit inhibited!!
>>
>> I can see it here.
> 
> "See" meaning you can reproduce the hang?

Yes:

1. Install Octave.
2. emacs -Q
3. M-x run-octave
4. Switch to octave-mode in the scratch, delete everything.
5. Type 'abs ', wait. See that message.

I don't see any freezing, though.

Only see this message once (repeated twice, though) in an 'emacs -Q' 
session, but in my normal session I can repeat it at will by deleting 's 
' and typing them again.

>> It's pretty weird, though. Neither octave.el not comint.el reference
>> inhibit-quit.
> 
> According to description, Francesco was editing while
> inferior-octave-mode was doing something in the background, so it's
> possible that some foreground code just happened to bind inhibit-quit
> at the wrong moment.

Indeed, but what foreground code? The major mode is octave-mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 18:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 14:01:35 2017
Received: from localhost ([127.0.0.1]:36542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDabG-00043N-Tu
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 14:01:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dDabE-000438-QT
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 14:01:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dDab9-0006M8-4D
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 14:01:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54745)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dDab3-0006Jc-5f; Wed, 24 May 2017 14:01:21 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2074
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dDab2-00032y-EY; Wed, 24 May 2017 14:01:20 -0400
Date: Wed, 24 May 2017 21:01:14 +0300
Message-Id: <83bmqim8wl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN> (message from
 Dmitry Gutov on Wed, 24 May 2017 15:24:17 +0300)
Subject: Re: bug#27036: 25.1;
 Blocking call to accept-process-output with quit inhibited!!
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27036
Cc: pot@HIDDEN, 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 24 May 2017 15:24:17 +0300
> 
> On 5/23/17 3:20 PM, Francesco Potortì wrote:
> > I use inferior-octave-mode, where the Octave interpreter runs in a
> > buffer, similarly to shell-mode.
> > 
> > Starting somewhere later than Emacs 22, this mode makes on-the-fly
> > syntax suggestions whenever point is at a function definition or
> > similar.
> > 
> > Apparently something goes wrong with this funcitonality, or so I
> > suspect.  I get error messages about
> > 
> >    Blocking call to accept-process-output with quit inhibited!!
> 
> I can see it here.

"See" meaning you can reproduce the hang?

> It's pretty weird, though. Neither octave.el not comint.el reference 
> inhibit-quit.

According to description, Francesco was editing while
inferior-octave-mode was doing something in the background, so it's
possible that some foreground code just happened to bind inhibit-quit
at the wrong moment.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 17:57:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 13:57:52 2017
Received: from localhost ([127.0.0.1]:36537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDaXg-0003wi-Cq
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 13:57:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1dDaXe-0003wW-Nc
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 13:57:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1dDaXY-0004vT-JJ
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 13:57:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54709)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1dDaXQ-0004oZ-By; Wed, 24 May 2017 13:57:36 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2073
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1dDaXP-00066a-L2; Wed, 24 May 2017 13:57:36 -0400
Date: Wed, 24 May 2017 20:57:26 +0300
Message-Id: <83d1aym92x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Francesco =?utf-8?Q?Potort=C3=AC?= <pot@HIDDEN>
In-reply-to: <E1dDXGQ-0000GY-5g@HIDDEN> (message from Francesco
 =?utf-8?Q?Potort=C3=AC?= on Wed, 24 May 2017 16:27:49 +0200)
Subject: Re: bug#27036: Acknowledgement (25.1;
 Blocking call to accept-process-output with quit inhibited!!)
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
 <E1dDXGQ-0000GY-5g@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27036
Cc: 27036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 24 May 2017 16:27:49 +0200
> From: Francesco Potortì <pot@HIDDEN>
> 
> I had Emacs dump core on me in connection with this problem.
> 
> This happened when I had two buffers open in two windows: an
> inferior-octave-mode buffer and a source code buffer in octave-mode.
> 
> While Octave was busy doing some computation in the inferior-octave-mode
> buffer, after moving point on the source code buffer to a standard
> function call, I got the infamous message in the subject.
> 
> At this point, Emacs refused to answer.  After some C-g, it offered to
> auto-save and then dump core, which I did.

When these things happen, please in the future attach a debugger and
try producing a backtrace, that could allow us to try to figure out
what was the reason of the problem.  Unless you can reproduce the
problem at will, of course.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 14:27:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 10:27:56 2017
Received: from localhost ([127.0.0.1]:36329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDXGW-0001oc-D4
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 10:27:56 -0400
Received: from mx-all.isti.cnr.it ([194.119.192.3]:28066
 helo=blade3.isti.cnr.it) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dDXGT-0001oS-VB
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 10:27:54 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QEQ4QAW0HOCZ755R@HIDDEN> for
 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 16:26:30 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dDXGQ-0000GY-5g	for 27036 <at> debbugs.gnu.org;
 Wed, 24 May 2017 16:27:50 +0200
Date: Wed, 24 May 2017 16:27:49 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
To: 27036 <at> debbugs.gnu.org
Message-id: <E1dDXGQ-0000GY-5g@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I had Emacs dump core on me in connection with this problem.

This happened when I had two buffers open in two windows: an
inferior-octave-mode buffer and a source code buffer in octave-mode.

While Octave was busy doing some computation in the inferior-octave-mode
buffer, after moving point on the source code buffer to a standard
function call, I got the infamous message in the subject.

At this point, Emacs refused to answer.  After some C-g, it offered to
auto-save and then dump core, which I did.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 12:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 08:24:26 2017
Received: from localhost ([127.0.0.1]:35630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDVL0-0007I1-Iz
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 08:24:26 -0400
Received: from mail-wr0-f175.google.com ([209.85.128.175]:33189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1dDVKz-0007Hn-8q
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 08:24:25 -0400
Received: by mail-wr0-f175.google.com with SMTP id w50so53851753wrc.0
 for <27036 <at> debbugs.gnu.org>; Wed, 24 May 2017 05:24:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=xcNHo0oFMRgcFdoqWmD7dU6uLmaeA9qIBcdm4vTT4TA=;
 b=Nyr6EK03/9Yr8mQ1Fbtboot9yzvpHkOeSDZN+H+QM5aHCJcasdlZ0lGJ+SXlJSFxi5
 p1ARauS77A8ezAtGxXaxba4xeyk2tw+rslvKLYr8LXPhL8rSmkSbokEAUh2nlhFOyQ5B
 fk3H5MCMhXnfK8oK7beRJo+7jQuZCdOZF1bxkGBT4aCXwglTnQ3gaeWMnlKd1iJmaltE
 sYKpuAQjuFwiWjp5oWRhjX3DGc1GZd6KHDjvWbBuqH6RI4Lcivo1ioMXZQzoEe9lrE3D
 YWCWRWe1rO5ReHJ9dp0fWWQxBS6eq8TMvlvcmsePU7CZfwkzmTm8A4VB4FQxyZ9zgBtF
 kVvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=xcNHo0oFMRgcFdoqWmD7dU6uLmaeA9qIBcdm4vTT4TA=;
 b=PDM6bANKYr98PjMQGx4KWIkPZRN+5WggwjsyUQYjL63v/yUfqD964qoYKKz6EVi+4g
 RPb5T92cwmD5Rmcu6t6uWrg1snos5z6+fL7rmbDT8Mbg/eNK0eAzMMLxiHi8MPrSwYzu
 bgnI9/MytOX0Lzl9C7jp/1aU9ZAWLHsvlhNxHmjxt5j4Fumcar9prajyUbdjm37WLUjK
 8RRX0sAaGdym54wr8z7e1EY6w/FCCtFYbeGjI8WJKr4KM86RoInAhidPqhUXKvQBoID3
 hcoUhT6yyrUmaIvyeFUciFfqgqMjASP/jkESzLFrUBKJrnP0ALFrbrztKHoMYPjLHxvZ
 i1Pw==
X-Gm-Message-State: AODbwcBBCg1MGpBDse+Lzfg9xZZxXiHw4DxnJxy8l13JOYThwyCHtZpS
 V7+Xxcm6/5aT0g==
X-Received: by 10.223.172.165 with SMTP id o34mr21980053wrc.155.1495628659299; 
 Wed, 24 May 2017 05:24:19 -0700 (PDT)
Received: from [192.168.0.133] ([212.50.99.193])
 by smtp.googlemail.com with ESMTPSA id p76sm4874613wma.15.2017.05.24.05.24.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 May 2017 05:24:18 -0700 (PDT)
Subject: Re: bug#27036: 25.1; Blocking call to accept-process-output with quit
 inhibited!!
To: =?UTF-8?Q?Francesco_Potort=c3=ac?= <pot@HIDDEN>, 27036 <at> debbugs.gnu.org
References: <E1dD8nI-0007Qx-7O@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1a918fc0-cc16-6e27-6398-7e64cea8be22@HIDDEN>
Date: Wed, 24 May 2017 15:24:17 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101
 Thunderbird/54.0
MIME-Version: 1.0
In-Reply-To: <E1dD8nI-0007Qx-7O@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On 5/23/17 3:20 PM, Francesco Potortì wrote:
> I use inferior-octave-mode, where the Octave interpreter runs in a
> buffer, similarly to shell-mode.
> 
> Starting somewhere later than Emacs 22, this mode makes on-the-fly
> syntax suggestions whenever point is at a function definition or
> similar.
> 
> Apparently something goes wrong with this funcitonality, or so I
> suspect.  I get error messages about
> 
>    Blocking call to accept-process-output with quit inhibited!!

I can see it here.

It's pretty weird, though. Neither octave.el not comint.el reference 
inhibit-quit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at 27036 <at> debbugs.gnu.org:


Received: (at 27036) by debbugs.gnu.org; 24 May 2017 11:21:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 07:21:18 2017
Received: from localhost ([127.0.0.1]:35566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dDULu-00040e-4W
	for submit <at> debbugs.gnu.org; Wed, 24 May 2017 07:21:18 -0400
Received: from mx1.isti.cnr.it ([194.119.192.3]:21470 helo=blade3.isti.cnr.it)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dDULs-00040U-AJ
 for 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 07:21:16 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QEPY7VUR02CZ7JEL@HIDDEN> for
 27036 <at> debbugs.gnu.org; Wed, 24 May 2017 13:19:51 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dDULo-0003Tl-3N	for 27036 <at> debbugs.gnu.org;
 Wed, 24 May 2017 13:21:12 +0200
Date: Wed, 24 May 2017 13:21:11 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to
 accept-process-output with quit inhibited!!)
In-reply-to: <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
To: 27036 <at> debbugs.gnu.org
Message-id: <E1dDULo-0003Tl-3N@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1dD8nI-0007Qx-7O@HIDDEN>
 <handler.27036.B.1495542030639.ack <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 27036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I had Emacs dump core on me in connection with this problem.

This happened when I had two buffers open in two windows: an
inferior-octave-mode buffer and a source code buffer in octave-mode.

While Octave was busy doing some computation in the inferior-octave-mode
buffer, after moving point on the source code buffer to a standard
function call, I got the infamous message in the subject.

At this point, Emacs refused to answer.  After some C-g, it offered to
auto-save and then dump core, which I did.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2017 12:20:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 08:20:30 2017
Received: from localhost ([127.0.0.1]:34136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dD8nd-0000AF-JI
	for submit <at> debbugs.gnu.org; Tue, 23 May 2017 08:20:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1dD8nb-0000A2-SF
 for submit <at> debbugs.gnu.org; Tue, 23 May 2017 08:20:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pot@HIDDEN>) id 1dD8nU-00048w-Px
 for submit <at> debbugs.gnu.org; Tue, 23 May 2017 08:20:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD,
 T_MANY_HDRS_LCASE autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35541)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pot@HIDDEN>) id 1dD8nU-00048q-NG
 for submit <at> debbugs.gnu.org; Tue, 23 May 2017 08:20:20 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36154)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <pot@HIDDEN>)
 id 1dD8nR-0002NY-Vn
 for bug-gnu-emacs@HIDDEN; Tue, 23 May 2017 08:20:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pot@HIDDEN>) id 1dD8nN-00046P-Q9
 for bug-gnu-emacs@HIDDEN; Tue, 23 May 2017 08:20:17 -0400
Received: from mx1.isti.cnr.it ([194.119.192.3]:37401 helo=blade3.isti.cnr.it)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pot@HIDDEN>) id 1dD8nN-000458-Es
 for bug-gnu-emacs@HIDDEN; Tue, 23 May 2017 08:20:13 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx-all.isti.cnr.it (PMDF V6.5-x6 #1609)
 with ESMTPSA id <01QEOLYOJ8QQCZ4Z16@HIDDEN> for
 bug-gnu-emacs@HIDDEN; Tue, 23 May 2017 14:18:49 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.89)
 (envelope-from <pot@HIDDEN>)	id 1dD8nI-0007Qx-7O	for bug-gnu-emacs@HIDDEN;
 Tue, 23 May 2017 14:20:08 +0200
Date: Tue, 23 May 2017 14:20:07 +0200
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Subject: 25.1; Blocking call to accept-process-output with quit inhibited!!
To: bug-gnu-emacs@HIDDEN
Message-id: <E1dD8nI-0007Qx-7O@HIDDEN>
Organization: 
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I use inferior-octave-mode, where the Octave interpreter runs in a
buffer, similarly to shell-mode.

Starting somewhere later than Emacs 22, this mode makes on-the-fly
syntax suggestions whenever point is at a function definition or
similar.

Apparently something goes wrong with this funcitonality, or so I
suspect.  I get error messages about

  Blocking call to accept-process-output with quit inhibited!!

and even when this does not happen, Emacs sometimes freezes for a couple
of seconds especially when an inferior-octave buffer is visible.


In GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2017-04-23, modified by Debian built on trouble
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description:	Debian GNU/Linux 9.0 (stretch)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --with-x=yes --with-x-toolkit=lucid
 --with-toolkit-scroll-bars --without-gconf --without-gsettings
 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs25-d2FC1K/emacs25-25.1+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11

Important settings:
  value of $LC_COLLATE: it_IT.UTF-8
  value of $LC_CTYPE: it_IT.UTF-8
  value of $LC_NUMERIC: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Octave

Minor modes in effect:
  TeX-PDF-mode: t
  desktop-save-mode: t
  epa-global-mail-mode: t
  shell-dirtrack-mode: t
  openwith-mode: t
  xterm-mouse-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: #[128 \300\301\302#\207 [apply smie-auto-fill #[128 \301\302\300!"\207 [normal-auto-fill-function apply default-value] 4 

(fn &rest ARGS)] nil] 5 nil]
  abbrev-mode: t

Recent messages:
Showing message 774...done
Showing message 774...done
Showing message 775...done
No following nondeleted message
Expunging deleted messages...done
Showing message 773...
Blocking call to accept-process-output with quit inhibited!!
Mark set
kill-region: Buffer is read-only: #<buffer *Messages*>
Making completion list...

Load-path shadows:
~/elisp/bhl hides /usr/share/emacs/25.1/site-lisp/bhl
~/elisp/bhl hides /usr/share/emacs/site-lisp/bhl
/usr/share/emacs/25.1/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs25/site-lisp/flim/md4 hides /usr/share/emacs/25.1/lisp/md4
/usr/share/emacs25/site-lisp/flim/hex-util hides /usr/share/emacs/25.1/lisp/hex-util
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/25.1/lisp/textmodes/rst
~/elisp/bibtex hides /usr/share/emacs/25.1/lisp/textmodes/bibtex
/usr/share/emacs25/site-lisp/flim/ntlm hides /usr/share/emacs/25.1/lisp/net/ntlm
/usr/share/emacs25/site-lisp/flim/hmac-md5 hides /usr/share/emacs/25.1/lisp/net/hmac-md5
/usr/share/emacs25/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/25.1/lisp/net/sasl-ntlm
/usr/share/emacs25/site-lisp/flim/sasl-digest hides /usr/share/emacs/25.1/lisp/net/sasl-digest
/usr/share/emacs25/site-lisp/flim/sasl hides /usr/share/emacs/25.1/lisp/net/sasl
/usr/share/emacs25/site-lisp/flim/sasl-cram hides /usr/share/emacs/25.1/lisp/net/sasl-cram
/usr/share/emacs25/site-lisp/flim/hmac-def hides /usr/share/emacs/25.1/lisp/net/hmac-def
/usr/share/emacs25/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs25/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs25/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/usr/share/emacs25/site-lisp/auctex/plain-tex hides /usr/share/emacs/site-lisp/auctex/plain-tex
/usr/share/emacs25/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs25/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs25/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs25/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs25/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs25/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs25/site-lisp/auctex/tex-ispell hides /usr/share/emacs/site-lisp/auctex/tex-ispell
/usr/share/emacs25/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs25/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs25/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs25/site-lisp/auctex/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-emacs
/usr/share/emacs25/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs25/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
/usr/share/emacs25/site-lisp/auctex/preview hides /usr/share/emacs/site-lisp/auctex/preview
/usr/share/emacs25/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs25/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs25/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs25/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf

Features:
(shadow emacsbug nero url-handlers timezone rmailsort rmailkwd macros
rmailedit dabbrev face-remap url-util rmailout shr-color color
time-stamp mailalias misearch multi-isearch server jka-compr bibtex
sh-script executable generic image-mode vc-filewise vc-rcs js json map
imenu info sgml-mode octave smie cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs latexenc preview
prv-emacs noutline outline vc-dispatcher vc-svn tex-bar toolbar-x
font-latex plain-tex tex-buf latex easy-mmode edmacro kmacro tex-ispell
tex-style tex dbus xml crm tex-mode compile qp shr dom subr-x browse-url
rmailmm message rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader mail-parse rfc2231 desktop frameset
solar cal-dst pot skeleton warnings rmailsum rmail sendmail rfc2047
rfc2045 ietf-drums mime-compose epa-mail mail-utils epa derived epg view
holidays hol-loaddefs appt diary-lib diary-loaddefs cal-menu calendar
cal-loaddefs tramp tramp-compat tramp-loaddefs trampver ucs-normalize
shell pcomplete comint ring format-spec advice bhl visual-fill-column
switch-to-shell openwith hi-lock xt-mouse ffap thingatpt url-parse
auth-source cl-seq eieio eieio-core cl-macs gnus-util time-date mm-util
help-fns mail-prsvr password-cache url-vars scroll-in-place filladapt
ansi-color time quail dired-x dired generic-x disp-table finder-inf
package epg-config seq byte-opt gv bytecomp byte-compile cl-extra
help-mode easymenu cconv cl-loaddefs pcase cl-lib debian-el
debian-el-loaddefs w3m-load vm-autoload vm-autoloads vm-version vm-vars
vm-init preview-latex tex-site auto-loads mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting font-render-setting x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 501140 83314)
 (symbols 48 38883 0)
 (miscs 40 4472 3099)
 (strings 32 88491 12631)
 (string-bytes 1 2960232)
 (vectors 16 61969)
 (vector-slots 8 1796414 229655)
 (floats 8 855 922)
 (intervals 56 22145 326)
 (buffers 976 118))




Acknowledgement sent to Francesco Potortì <pot@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27036; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.